Forum Navigation
You need to log in to create posts and topics.

Install Ansible for python 2.7

Problem

User wants to install Ansible on old python 2.7 on an old environments to use old code.

Solutions

sudo root

curl https://bootstrap.pypa.io/pip/2.7/get-pip.py -o get-pip.py
python ./get-pip.py
python -m pip install –user ansible
python -m pip install –user paramiko

cd /root/.local/
mv * /usr/local/

chmod -R a+rX /usr/local/lib/python2.7/site-packages/ansible
pip install ansible

NOTE:

Python 2.7 is obsolete from 1/1/2020 and no longer updated. it is recommended to upgrade to python 3.8.x and update your code

 

 

All content available through this Web Site is provided on an “AS IS” and “AS AVAILABLE” basis, with all faults. Tracston LTD makes no warranty or representation with respect to the quality, accuracy, or availability of the Web Site or any of its content.